# $Revision: 1.72.2.8 $, $Date: 2008-05-02 14:13:58 $
# TODO
# - fix ppc build
Summary:	C++ standard library
Summary(pl.UTF-8):	Biblioteki standardowe C++
Name:		STLport
Version:	5.1.2
Release:	4
Epoch:		2
License:	distributable (see README.gz)
Group:		Libraries
Source0:	http://dl.sourceforge.net/stlport/%{name}-%{version}.tar.bz2
# Source0-md5:	937b114455f304eb1cf7b9cc2ca103a3
Source1:	stlport-config.in
Source2:	stlport.pc.in
Patch0:		%{name}-endianness.patch
Patch1:		%{name}-gcc420_dirty_hack.patch
Patch2:		%{name}-no_vendor_math_l.patch
Patch3:		%{name}-alpha.patch
URL:		http://stlport.sourceforge.net/
BuildRequires:	libstdc++-devel >= 5:3.3.2
BuildRequires:	sed >= 4.0
%requires_eq	libstdc++
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
STLport is a multiplatform implementation of C++ Standard Template
Library based on SGI STL. It's used by e.g. OpenOffice.

%description -l pl.UTF-8
STLport to wieloplatformowa implementacja standardowej biblioteki
szablonów (Standard Template Library) C++ oparta na SGI STL. Jest
używana m.in. przez OpenOffice.

%package devel
Summary:	STLport heades files, documentation
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do STLport
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files and development documentation for STLport.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja dla STLport.

%package static
Summary:	Static STLport libraries
Summary(pl.UTF-8):	Biblioteki statyczne do STLport
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static STLport libraries.

%description static -l pl.UTF-8
Biblioteki statyczne do STLport.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%{__sed} -i -e 's/= -O2$/= %{rpmcflags}/' build/Makefiles/gmake/gcc.mak

cp -a %{SOURCE1} stlport-config.in
cp -a %{SOURCE2} stlport.pc.in

%build
%{__make} -C build/lib -f gcc.mak \
	release-shared \
	release-static \
	CC="%{__cc}" \
	CXX="%{__cxx}"

subst='
	s,@prefix@,%{_prefix},g
	s,@exec_prefix@,%{_exec_prefix},g
	s,@libdir@,%{_libdir},g
	s,@includedir@,%{_includedir},g
	s,@ver@,%{version},g
	s,@VERSION@,%{version},g
'

%{__sed} -e "$subst" stlport-config.in > stlport-config
%{__sed} -e "$subst" stlport.pc.in > stlport.pc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}

%{__make} -C build/lib -f gcc.mak \
	install-release-shared \
	install-release-static \
	INSTALL_BIN_DIR=$RPM_BUILD_ROOT%{_bindir} \
	INSTALL_LIB_DIR=$RPM_BUILD_ROOT%{_libdir}

cp -a stlport $RPM_BUILD_ROOT%{_includedir}
rm -rf $RPM_BUILD_ROOT%{_includedir}/stlport/BC50

# libstlport.so.5 is removed by ldconfig or *something*, so make .so point to real soname
ln -sf $(basename $RPM_BUILD_ROOT%{_libdir}/libstlport.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libstlport.so

install -d $RPM_BUILD_ROOT{%{_pkgconfigdir},%{_bindir}}
cp -a stlport.pc $RPM_BUILD_ROOT%{_pkgconfigdir}
install stlport-config $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libstlport.so.*.*
# libstlport.so points to this one instead of soname or real lib name
# to be fixed if nothing tries to dlopen this one (nothing should!)
%attr(755,root,root) %{_libdir}/libstlport.so.?

%files devel
%defattr(644,root,root,755)
%doc doc/{FAQ,*.txt}
%attr(755,root,root) %{_libdir}/libstlport.so
%attr(755,root,root) %{_bindir}/stlport-config
%{_includedir}/stlport
%{_pkgconfigdir}/stlport.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libstlport.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: STLport.spec,v $
Revision 1.72.2.8  2008-05-02 14:13:58  glen
- release 4

Revision 1.72.2.7  2008-05-02 13:17:58  glen
- add stlport-confing and stlport.pc; rel 3

Revision 1.72.2.6  2008-05-02 12:59:54  glen
- convert to utf8

Revision 1.72.2.5  2007-03-17 13:32:19  hawk
- fixed build on alpha
- release 2

Revision 1.72.2.4  2007/03/13 21:42:12  hawk
- fix ppc and sparc

Revision 1.72.2.3  2007/03/13 20:49:11  hawk
- updated to 5.1.2, dropped ExcludeArch: ppc sparc

Revision 1.72.2.2  2007/02/28 22:02:34  glen
- sparc broken too

Revision 1.72.2.1  2007/02/28 21:48:14  glen
- ppc is broken

Revision 1.72  2007/01/18 16:56:43  megabajt
- package all symlinks (needed by rpm 4.4.7)

Revision 1.71  2007/01/03 22:12:53  glen
- i had no libstlport.so.5 on amd64, even after reinstalling STLport pkgs

Revision 1.70  2006/12/28 18:31:32  pluto
- type promotion patch not needed now.

Revision 1.69  2006/12/27 23:24:18  qboosh
- more verbose files

Revision 1.68  2006/12/27 23:22:16  qboosh
- back to 5.1.0 (5.0.2 left on STLport-5_0 branch); ooo builds on 5.1.0 now
- endianness patch updated; type_promotion needs update if really needed

Revision 1.67  2006/12/22 10:21:39  sls
- rel. up to 4

Revision 1.66  2006/12/22 10:18:06  sls
- added patch gcc420_dirty_hack
- added notice about problem with older gcc-4.2.0

Revision 1.65  2006/12/22 10:11:54  sls
- reverted last 2 changes (openoffice.org doesn't like stlport-5.1.0)

Revision 1.62  2006/10/23 15:00:08  pluto
- fix unwanted type promotions that causes bad stream formatting.
- release 3.

Revision 1.61  2006/05/31 12:32:26  pluto
- release 2 for rebuild with gcc-4.1.2.

Revision 1.60  2006/03/09 18:12:01  qboosh
- updated to 5.0.2

Revision 1.59  2006/03/08 21:56:30  pluto
- release 1 (th:gcc+glibc support 128-bit long double now).

Revision 1.58  2006/01/24 13:24:24  pluto
- updated to 5.0.1 (ppc build still broken / long double issue).

Revision 1.57  2005/12/09 05:56:30  pluto
- soname == 5.0, .so.5 link added to main package.

Revision 1.56  2005/11/19 16:23:56  qboosh
- typo

Revision 1.55  2005/11/19 16:19:37  qboosh
- pass optflags in a way which doesn't kill -fPIC
- dropped nodebug,gcc34 patches

Revision 1.54  2005/11/18 07:39:16  qboosh
- removed outdated soname,gcc3stdexcept,extra-cxxflags patches
- pass CC,CFLAGS (used for one file)

Revision 1.53  2005/11/09 08:30:26  pluto
- fix endianness.

Revision 1.52  2005/11/08 17:13:38  pluto
- new URL.

Revision 1.51  2005/11/08 00:45:21  prism
- switch Source0 to sf.net

Revision 1.50  2005/11/08 00:07:59  pluto
- 5.0.0 was released, updating...

Revision 1.49  2005/06/25 22:49:19  ankry
- rel. 4

Revision 1.48  2005/05/15 20:43:43  adamg
- pass CXX

Revision 1.47  2005/04/15 17:38:31  pluto
- CXXFLAGS fixed.

Revision 1.46  2004/10/31 16:25:46  paladine
- spaces->tabs
- formatting

Revision 1.45  2004/10/10 11:37:04  havner
- rel 3 for gcc 3.3.5

Revision 1.44  2004/06/21 18:24:10  arekm
- rebuild

Revision 1.43  2004/04/25 15:56:32  qboosh
- updated to 4.6.2

Revision 1.42  2004/04/01 09:56:00  qboosh
- release 2

Revision 1.41  2004/04/01 09:51:36  qboosh
- lib64 fix

Revision 1.40  2004/04/01 01:17:01  arekm
- merged and deleted AC-branch

Revision 1.39  2004/04/01 01:16:31  arekm
- merged and deleted AC-branch

Revision 1.38  2004/03/01 19:34:07  pluto
- devel -> head

Revision 1.37.2.4  2004/03/01 10:15:12  pluto
- fixed BR:

Revision 1.37.2.3  2004/02/27 18:37:46  pluto
- ready for -r HEAD (tested on gcc3.4snap & gcc3.3.2).

Revision 1.37.2.2  2004/02/27 18:26:22  pluto
- gcc 3.4 fixes
- %%install cleanups

Revision 1.37.2.1  2004/02/27 17:36:22  pluto
- fork...

Revision 1.37  2004/02/26 22:47:15  qboosh
- updated to 4.6.1

Revision 1.36  2004/02/19 12:14:40  averne
- rel 1 for Ac

Revision 1.35  2004/02/19 11:54:05  qboosh
- strict internal deps

Revision 1.34  2004/02/19 11:52:48  averne
- Epoch: 1

Revision 1.33  2003/11/11 23:17:26  qboosh
- updated to 4.6, updated extra-cxxflags patch, removed obsolete nobadlink patch
- gcc3 patch seems obsolete

Revision 1.32.2.6  2004/03/24 12:28:47  qboosh
- release 12 to rebuild on gcc 3.3.3 on ppc

Revision 1.32.2.5  2004/02/27 10:02:34  havner
- rel 11

Revision 1.32.2.4  2004/02/27 10:01:34  havner
- added release and epoch to requires

Revision 1.32.2.3  2004/02/26 20:48:09  averne
- epoch 2 and release 10 for AC

Revision 1.32.2.2  2004/02/22 15:12:44  averne
- rel 9 for AC

Revision 1.32.2.1  2003/12/09 09:51:02  speedy
- release 8 for gcc 3.3.2

Revision 1.32  2003/08/11 19:18:52  wiget
- BR gcc-c++ isn't enouge, use BR libstdc++-devel instead.

Revision 1.31  2003/08/10 19:44:05  wiget
- rebuild with new gcc 3.3.1

Revision 1.30  2003/08/01 09:02:01  pascalek
- forgotten about TODO list, removed

Revision 1.29  2003/07/31 10:26:07  pascalek
- Release 6, soname patch

Revision 1.28  2003/07/23 09:05:16  wiget
- rebuild with GCC 3.3

Revision 1.27  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.26  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/05/11 20:25:26  radek
- release 4: rebuild for gcc-3.2.3; added requires_eq->libstdc++

Revision 1.24  2003/02/28 10:07:03  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.23  2003/01/30 13:44:51  qboosh
- libstl_port.gcc* doesn't have SONAME, so *.so symlink must be in main

Revision 1.22  2002/12/05 09:10:53  ggodlewski
- Patched for gcc 3.2.1

Revision 1.21  2002/12/03 21:33:53  ankry
- cleaning

Revision 1.20  2002/10/19 12:50:59  ggodlewski
- fix for gcc 3.2

Revision 1.19  2002/09/02 10:06:56  blues
- release 2 - new doc

Revision 1.18  2002/04/07 11:17:43  michuz
- updated to 4.5.3 (fix release)
- fix *.so file

Revision 1.17  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/02 20:38:42  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.15  2002/02/01 14:55:23  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.14  2002/01/18 02:12:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/12/16 10:43:56  michuz
- updated to 4.5.1     (bugfix)

Revision 1.12  2001/12/15 21:20:56  michuz
- fixed headers

Revision 1.11  2001/11/17 18:58:48  blues
- License changed to distributable
- added few docs

Revision 1.10  2001/07/18 03:20:03  kloczek
- spec adapterized.

Revision 1.9  2001/04/30 16:05:13  kloczek
- added using %%{rpmcflags} macro.

Revision 1.8  2001/04/04 19:52:15  kloczek
- release 3.

Revision 1.7  2001/02/23 17:12:30  qboosh
- BuildRequires: gcc-c++
- typos

Revision 1.6  2001/02/21 22:56:28  michuz
- more fixes

Revision 1.5  2001/02/21 22:53:32  michuz
- release 2
- fixed include files

Revision 1.4  2001/01/25 20:03:19  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.3  2001/01/10 20:29:58  kloczek
- missing "" in %build.

Revision 1.2  2001/01/10 20:28:39  michuz
- typo

Revision 1.1  2001/01/10 20:01:30  michuz
- initial release
- need to check what kind of license this is
